summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorBill Peck <bpeck@redhat.com>2013-01-07 08:47:41 -0500
committerBill Peck <bpeck@redhat.com>2013-01-07 08:47:41 -0500
commit167241313c220a1fe701c5094d0b967be4acb624 (patch)
tree7283675eb1ceddcc92c75f122e6137a89b3db677
parentcf665e2804ccf4c5644dc6471ab6c03a0d5a42e7 (diff)
downloadtests-167241313c220a1fe701c5094d0b967be4acb624.tar.gz
tests-167241313c220a1fe701c5094d0b967be4acb624.tar.xz
tests-167241313c220a1fe701c5094d0b967be4acb624.zip
New test to use..
-rw-r--r--kernel/networking/openvswitch/create_bridge/Makefile63
-rw-r--r--kernel/networking/openvswitch/create_bridge/PURPOSE3
-rwxr-xr-xkernel/networking/openvswitch/create_bridge/runtest.sh37
3 files changed, 103 insertions, 0 deletions
diff --git a/kernel/networking/openvswitch/create_bridge/Makefile b/kernel/networking/openvswitch/create_bridge/Makefile
new file mode 100644
index 0000000..bfe6f22
--- /dev/null
+++ b/kernel/networking/openvswitch/create_bridge/Makefile
@@ -0,0 +1,63 @@
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+#
+# Makefile of /kernel/networking/openvswitch/create_bridge
+# Description: Verifies openvswitch is working properly
+# Author: Bill Peck <bpeck@redhat.com>
+#
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+#
+# Copyright (c) 2012 Red Hat, Inc. All rights reserved.
+#
+# This copyrighted material is made available to anyone wishing
+# to use, modify, copy, or redistribute it subject to the terms
+# and conditions of the GNU General Public License version 2.
+#
+# This program is distributed in the hope that it will be
+# useful, but WITHOUT ANY WARRANTY; without even the implied
+# warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+# PURPOSE. See the GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public
+# License along with this program; if not, write to the Free
+# Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
+# Boston, MA 02110-1301, USA.
+#
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+
+export TEST=/kernel/networking/openvswitch/create_bridge
+export TESTVERSION=1.0
+
+BUILT_FILES=
+
+FILES=$(METADATA) runtest.sh Makefile PURPOSE
+
+.PHONY: all install download clean
+
+run: $(FILES) build
+ ./runtest.sh
+
+build: $(BUILT_FILES)
+ test -x runtest.sh || chmod a+x runtest.sh
+
+clean:
+ rm -f *~ $(BUILT_FILES)
+
+
+include /usr/share/rhts/lib/rhts-make.include
+
+$(METADATA): Makefile
+ @echo "Owner: Bill Peck <bpeck@redhat.com>" > $(METADATA)
+ @echo "Name: $(TEST)" >> $(METADATA)
+ @echo "TestVersion: $(TESTVERSION)" >> $(METADATA)
+ @echo "Path: $(TEST_DIR)" >> $(METADATA)
+ @echo "Description: Verifies openvswitch is working properly" >> $(METADATA)
+ @echo "Type: Sanity" >> $(METADATA)
+ @echo "TestTime: 10m" >> $(METADATA)
+ @echo "RunFor: openvswitch" >> $(METADATA)
+ @echo "Requires: openvswitch" >> $(METADATA)
+ @echo "Priority: Normal" >> $(METADATA)
+ @echo "License: GPLv2" >> $(METADATA)
+ @echo "Confidential: no" >> $(METADATA)
+ @echo "Destructive: no" >> $(METADATA)
+
+ rhts-lint $(METADATA)
diff --git a/kernel/networking/openvswitch/create_bridge/PURPOSE b/kernel/networking/openvswitch/create_bridge/PURPOSE
new file mode 100644
index 0000000..78a8152
--- /dev/null
+++ b/kernel/networking/openvswitch/create_bridge/PURPOSE
@@ -0,0 +1,3 @@
+PURPOSE of /kernel/networking/openvswitch/create_bridge
+Description: Creates a bridge
+Author: Bill Peck <bpeck@redhat.com>
diff --git a/kernel/networking/openvswitch/create_bridge/runtest.sh b/kernel/networking/openvswitch/create_bridge/runtest.sh
new file mode 100755
index 0000000..4a3b4d5
--- /dev/null
+++ b/kernel/networking/openvswitch/create_bridge/runtest.sh
@@ -0,0 +1,37 @@
+#!/bin/bash
+# vim: dict=/usr/share/beakerlib/dictionary.vim cpt=.,w,b,u,t,i,k
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+#
+# runtest.sh of /kernel/networking/openvswitch/create_bridge
+# Description: create an extra bridge for virt installs.
+# Author: Bill Peck <bpeck@redhat.com>
+#
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+#
+# Copyright (c) 2012 Red Hat, Inc. All rights reserved.
+#
+# This copyrighted material is made available to anyone wishing
+# to use, modify, copy, or redistribute it subject to the terms
+# and conditions of the GNU General Public License version 2.
+#
+# This program is distributed in the hope that it will be
+# useful, but WITHOUT ANY WARRANTY; without even the implied
+# warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+# PURPOSE. See the GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public
+# License along with this program; if not, write to the Free
+# Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
+# Boston, MA 02110-1301, USA.
+#
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+
+# Include Beaker environment
+. /usr/bin/rhts-environment.sh || exit 1
+. /usr/share/beakerlib/beakerlib.sh || exit 1
+
+for bridge in $BRIDGES; do
+ brctl addbr $bridge && report_result $TEST/$bridge PASS 0 || report_result $TEST/$bridge FAIL $?
+done
+
+brctl show